### GET /api/v3/repositories/{repo-public-id} Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json Get Repository returns information about the selected Repository. ```markdown ### Parameters - **repo-public-id** (integer (int64), path, required): The unique ID of the Repository. ### Responses #### 200 - Resource **Repository** - **entity_type** (string) (required): A string description of this resource. - **name** (string) (required): The shorthand name of the VCS repository. - **type** (string (github|gitlab|bitbucket)) (required): The VCS provider for the Repository. ("github"|"gitlab"|"bitbucket") - **updated_at** (string (date-time)) (required): The time/date the Repository was updated. - **external_id** (string) (required): The VCS unique identifier for the Repository. - **id** (integer (int64)) (required): The ID associated to the VCS repository in Shortcut. - **url** (string) (required): The URL of the Repository. - **full_name** (string) (required): The full name of the VCS repository. - **created_at** (string (date-time)) (required): The time/date the Repository was created. #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/repositories/{repo-public-id}" ``` ``` -------------------------------- ### GET /api/v3/projects/{project-public-id} Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json Get Project returns information about the selected Project. ```markdown ### Parameters - **project-public-id** (integer (int64), path, required): The unique ID of the Project. ### Responses #### 200 - Resource **Project** - **app_url** (string) (required): The Shortcut application url for the Project. - **description** (string) (required): The description of the Project. - **archived** (boolean) (required): True/false boolean indicating whether the Project is in an Archived state. - **entity_type** (string) (required): A string description of this resource. - **days_to_thermometer** (integer (int64)) (required): The number of days before the thermometer appears in the Story summary. - **color** (string (css-color)) (required): The color associated with the Project in the Shortcut member interface. - **workflow_id** (integer (int64)) (required): The ID of the workflow the project belongs to. - **name** (string) (required): The name of the Project - **global_id** (string) (required): The Global ID of the Project. - **start_time** (string (date-time)) (required): The date at which the Project was started. - **updated_at** (string (date-time)) (required): The time/date that the Project was last updated. - **follower_ids** (array (string (uuid))) (required): An array of UUIDs for any Members listed as Followers. - **external_id** (string) (required): This field can be set to another unique ID. In the case that the Project has been imported from another tool, the ID in the other tool can be indicated here. - **id** (integer (int64)) (required): The unique ID of the Project. - **show_thermometer** (boolean) (required): Configuration to enable or disable thermometers in the Story summary. - **team_id** (integer (int64)) (required): The ID of the team the project belongs to. - **iteration_length** (integer (int64)) (required): The number of weeks per iteration in this Project. - **abbreviation** (string) (required): The Project abbreviation used in Story summaries. Should be kept to 3 characters at most. - **stats** (object) (required): A group of calculated values for this Project. - **num_stories** (integer (int64)) (required): The total number of stories in this Project. - **num_points** (integer (int64)) (required): The total number of points in this Project. - **num_related_documents** (integer (int64)) (required): The total number of documents related to this Project - **created_at** (string (date-time)) (required): The time/date that the Project was created. #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/projects/{project-public-id}" ``` ``` -------------------------------- ### POST /api/v3/projects Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json Create Project is used to create a new Shortcut Project. ```markdown ### Request Body **Content-Type:** application/json - **description** (string): The Project description. - **color** (string (css-color)): The color you wish to use for the Project in the system. - **name** (string) (required): The name of the Project. - **start_time** (string (date-time)): The date at which the Project was started. - **updated_at** (string (date-time)): Defaults to the time/date it is created but can be set to reflect another date. - **follower_ids** (array (string (uuid))): An array of UUIDs for any members you want to add as Owners on this new Epic. - **external_id** (string): This field can be set to another unique ID. In the case that the Project has been imported from another tool, the ID in the other tool can be indicated here. - **team_id** (integer (int64)) (required): The ID of the team the project belongs to. - **iteration_length** (integer (int64)): The number of weeks per iteration in this Project. - **abbreviation** (string): The Project abbreviation used in Story summaries. Should be kept to 3 characters at most. - **created_at** (string (date-time)): Defaults to the time/date it is created but can be set to reflect another date. ### Responses #### 201 - Resource **Project** - **app_url** (string) (required): The Shortcut application url for the Project. - **description** (string) (required): The description of the Project. - **archived** (boolean) (required): True/false boolean indicating whether the Project is in an Archived state. - **entity_type** (string) (required): A string description of this resource. - **days_to_thermometer** (integer (int64)) (required): The number of days before the thermometer appears in the Story summary. - **color** (string (css-color)) (required): The color associated with the Project in the Shortcut member interface. - **workflow_id** (integer (int64)) (required): The ID of the workflow the project belongs to. - **name** (string) (required): The name of the Project - **global_id** (string) (required): The Global ID of the Project. - **start_time** (string (date-time)) (required): The date at which the Project was started. - **updated_at** (string (date-time)) (required): The time/date that the Project was last updated. - **follower_ids** (array (string (uuid))) (required): An array of UUIDs for any Members listed as Followers. - **external_id** (string) (required): This field can be set to another unique ID. In the case that the Project has been imported from another tool, the ID in the other tool can be indicated here. - **id** (integer (int64)) (required): The unique ID of the Project. - **show_thermometer** (boolean) (required): Configuration to enable or disable thermometers in the Story summary. - **team_id** (integer (int64)) (required): The ID of the team the project belongs to. - **iteration_length** (integer (int64)) (required): The number of weeks per iteration in this Project. - **abbreviation** (string) (required): The Project abbreviation used in Story summaries. Should be kept to 3 characters at most. - **stats** (object) (required): A group of calculated values for this Project. - **num_stories** (integer (int64)) (required): The total number of stories in this Project. - **num_points** (integer (int64)) (required): The total number of points in this Project. - **num_related_documents** (integer (int64)) (required): The total number of documents related to this Project - **created_at** (string (date-time)) (required): The time/date that the Project was created. #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X POST "https://api.app.shortcut.com/api/v3/projects" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "color": "string", "name": "string", "start_time": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "follower_ids": [ "string" ], "external_id": "string", "team_id": "0", "iteration_length": "0", "abbreviation": "string", "created_at": "2023-01-01T00:00:00Z" }' ``` ``` -------------------------------- ### GET /api/v3/stories/{story-public-id}/comments/{comment-public-id} Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json Get Comment is used to get Comment information. ```markdown ### Parameters - **story-public-id** (integer (int64), path, required): The ID of the Story that the Comment is in. - **comment-public-id** (integer (int64), path, required): The ID of the Comment. ### Responses #### 200 - Resource **StoryComment** - **app_url** (string) (required): The Shortcut application url for the Comment. - **entity_type** (string) (required): A string description of this resource. - **deleted** (boolean) (required): True/false boolean indicating whether the Comment has been deleted. - **story_id** (integer (int64)) (required): The ID of the Story on which the Comment appears. - **mention_ids** (array (string (uuid))) (required): `Deprecated:` use `member_mention_ids`. - **author_id** (string (uuid)) (required): The unique ID of the Member who is the Comment's author. - **member_mention_ids** (array (string (uuid))) (required): The unique IDs of the Member who are mentioned in the Comment. - **blocker** (boolean): Marks the comment as a blocker that can be surfaced to permissions or teams mentioned in the comment. Can only be used on a top-level comment. - **linked_to_slack** (boolean) (required): Whether the Comment is currently the root of a thread that is linked to Slack. - **updated_at** (string (date-time)) (required): The time/date when the Comment was updated. - **group_mention_ids** (array (string (uuid))) (required): The unique IDs of the Group who are mentioned in the Comment. - **external_id** (string) (required): This field can be set to another unique ID. In the case that the Comment has been imported from another tool, the ID in the other tool can be indicated here. - **parent_id** (integer (int64)): The ID of the parent Comment this Comment is threaded under. - **id** (integer (int64)) (required): The unique ID of the Comment. - **position** (integer (int64)) (required): The Comments numerical position in the list from oldest to newest. - **unblocks_parent** (boolean): Marks the comment as an unblocker to its blocker parent. Can only be set on a threaded comment who has a parent with `blocker` set. - **reactions** (array (StoryReaction)) (required): A set of Reactions to this Comment. Array items: - **emoji** (string) (required): Emoji text of the reaction. - **permission_ids** (array (string (uuid))) (required): Permissions who have reacted with this. - **created_at** (string (date-time)) (required): The time/date when the Comment was created. - **text** (string) (required): The text of the Comment. In the case that the Comment has been deleted, this field can be set to nil. #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/stories/{story-public-id}/comments/{comment-public-id}" ``` ``` -------------------------------- ### POST /api/v3/entity-templates Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json Create a new entity template for the Workspace. ```markdown ### Request Body **Content-Type:** application/json - **name** (string) (required): The name of the new entity template - **author_id** (string (uuid)): The id of the user creating this template. - **story_contents** (object) (required): A map of story attributes this template populates. - **description** (string): The description of the story. - **labels** (array (CreateLabelParams)): An array of labels to be populated by the template. Array items: - **name** (string) (required): The name of the new Label. - **description** (string): The description of the new Label. - **color** (string (css-color)): The hex color to be displayed with the Label (for example, "#ff0000"). - **external_id** (string): This field can be set to another unique ID. In the case that the Label has been imported from another tool, the ID in the other tool can be indicated here. - **story_type** (string): The type of story (feature, bug, chore). - **custom_fields** (array (CustomFieldValueParams)): An array of maps specifying a CustomField ID and CustomFieldEnumValue ID that represents an assertion of some value for a CustomField. Array items: - **field_id** (string (uuid)) (required): The unique public ID for the CustomField. - **value_id** (string (uuid)) (required): The unique public ID for the CustomFieldEnumValue. - **value** (string): A literal value for the CustomField. Currently ignored. - **file_ids** (array (integer (int64))): An array of the attached file IDs to be populated. - **name** (string): The name of the story. - **epic_id** (integer (int64)): The ID of the epic the to be populated. - **external_links** (array (string)): An array of external links to be populated. - **sub_tasks** (array (CreateSubTaskParams)): An array of maps specifying the sub-tasks to create and link to the story. Field only applicable when Sub-task feature is enabled. Array items: - **name** (string) (required): The name of the SubTask. - **owner_ids** (array (string (uuid))): An array of UUIDs of the owners of this story. - **workflow_state_id** (integer (int64)): The ID of the workflow state the story will be in. - **iteration_id** (integer (int64)): The ID of the iteration the to be populated. - **tasks** (array (BaseTaskParams)): An array of tasks to be populated by the template. Array items: - **description** (string) (required): The Task description. - **complete** (boolean): True/false boolean indicating whether the Task is completed. Defaults to false. - **owner_ids** (array (string (uuid))): An array of UUIDs for any members you want to add as Owners on this new Task. - **external_id** (string): This field can be set to another unique ID. In the case that the Task has been imported from another tool, the ID in the other tool can be indicated here. - **group_id** (string (uuid)): The ID of the group to be populated. - **workflow_state_id** (integer (int64)): The ID of the workflow state to be populated. - **follower_ids** (array (string (uuid))): An array of UUIDs for any Members listed as Followers. - **owner_ids** (array (string (uuid))): An array of UUIDs of the owners of this story. - **estimate** (integer (int64)): The numeric point estimate to be populated. - **project_id** (integer (int64)): The ID of the project the story belongs to. - **linked_file_ids** (array (integer (int64))): An array of the linked file IDs to be populated. - **deadline** (string (date-time)): The due date of the story. ### Responses #### 201 - Resource **EntityTemplate** - **entity_type** (string) (required): A string description of this resource. - **id** (string (uuid)) (required): The unique identifier for the entity template. - **created_at** (string (date-time)) (required): The time/date when the entity template was created. - **updated_at** (string (date-time)) (required): The time/date when the entity template was last updated. - **name** (string) (required): The template's name. - **author_id** (string (uuid)) (required): The unique ID of the member who created the template. - **last_used_at** (string (date-time)) (required): The last time that someone created an entity using this template. - **story_contents** (object) (required): A container entity for the attributes this template should populate. - **description** (string): The description of the story. - **entity_type** (string): A string description of this resource. - **labels** (array (LabelSlim)): An array of labels attached to the story. Array items: - **app_url** (string) (required): The Shortcut application url for the Label. - **description** (string) (required): The description of the Label. - **archived** (boolean) (required): A true/false boolean indicating if the Label has been archived. - **entity_type** (string) (required): A string description of this resource. - **color** (string (css-color)) (required): The hex color to be displayed with the Label (for example, "#ff0000"). - **name** (string) (required): The name of the Label. - **global_id** (string) (required) - **updated_at** (string (date-time)) (required): The time/date that the Label was updated. - **external_id** (string) (required): This field can be set to another unique ID. In the case that the Label has been imported from another tool, the ID in the other tool can be indicated here. - **id** (integer (int64)) (required): The unique ID of the Label. - **created_at** (string (date-time)) (required): The time/date that the Label was created. - **story_type** (string): The type of story (feature, bug, chore). - **custom_fields** (array (CustomFieldValueParams)): An array of maps specifying a CustomField ID and CustomFieldEnumValue ID that represents an assertion of some value for a CustomField. Array items: - **field_id** (string (uuid)) (required): The unique public ID for the CustomField. - **value_id** (string (uuid)) (required): The unique public ID for the CustomFieldEnumValue. - **value** (string): A literal value for the CustomField. Currently ignored. - **linked_files** (array (LinkedFile)): An array of linked files attached to the story. Array items: - **description** (string) (required): The description of the file. - **entity_type** (string) (required): A string description of this resource. - **story_ids** (array (integer (int64))) (required): The IDs of the stories this file is attached to. - **mention_ids** (array (string (uuid))) (required): `Deprecated:` use `member_mention_ids`. - **member_mention_ids** (array (string (uuid))) (required): The members that are mentioned in the description of the file. - **name** (string) (required): The name of the linked file. - **thumbnail_url** (string) (required): The URL of the file thumbnail, if the integration provided it. - **type** (string) (required): The integration type (e.g. google, dropbox, box). - **size** (integer (int64)) (required): The filesize, if the integration provided it. - **uploader_id** (string (uuid)) (required): The UUID of the member that uploaded the file. - **content_type** (string) (required): The content type of the image (e.g. txt/plain). - **updated_at** (string (date-time)) (required): The time/date the LinkedFile was updated. - **group_mention_ids** (array (string (uuid))) (required): The groups that are mentioned in the description of the file. - **id** (integer (int64)) (required): The unique identifier for the file. - **url** (string) (required): The URL of the file. - **created_at** (string (date-time)) (required): The time/date the LinkedFile was created. - **name** (string): The name of the story. - **epic_id** (integer (int64)): The ID of the epic the story belongs to. - **external_links** (array (string)): An array of external links connected to the story. - **sub_tasks** (array (CreateSubTaskParams)): An array of maps specifying the sub-tasks to create and link to the story. Field only applicable when Sub-task feature is enabled. Array items: - **name** (string) (required): The name of the SubTask. - **owner_ids** (array (string (uuid))): An array of UUIDs of the owners of this story. - **workflow_state_id** (integer (int64)): The ID of the workflow state the story will be in. - **iteration_id** (integer (int64)): The ID of the iteration the story belongs to. - **tasks** (array (StoryContentsTask)): An array of tasks connected to the story. Array items: - **description** (string) (required): Full text of the Task. - **position** (integer (int64)): The number corresponding to the Task's position within a list of Tasks on a Story. - **complete** (boolean): True/false boolean indicating whether the Task has been completed. - **owner_ids** (array (string (uuid))): An array of UUIDs of the Owners of this Task. - **external_id** (string): This field can be set to another unique ID. In the case that the Task has been imported from another tool, the ID in the other tool can be indicated here. - **label_ids** (array (integer (int64))): An array of label ids attached to the story. - **group_id** (string (uuid)): The ID of the group to which the story is assigned. - **workflow_state_id** (integer (int64)): The ID of the workflow state the story is currently in. - **follower_ids** (array (string (uuid))): An array of UUIDs for any Members listed as Followers. - **owner_ids** (array (string (uuid))): An array of UUIDs of the owners of this story. - **estimate** (integer (int64)): The numeric point estimate of the story. Can also be null, which means unestimated. - **files** (array (UploadedFile)): An array of files attached to the story. Array items: - **project_id** (integer (int64)): The ID of the project the story belongs to. - **deadline** (string (date-time)): The due date of the story. #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X POST "https://api.app.shortcut.com/api/v3/entity-templates" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "author_id": "string", "story_contents": "value" }' ``` ``` -------------------------------- ### GET /api/v3/milestones/{milestone-public-id} Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json (Deprecated: Use 'Get Objective') Get Milestone returns information about a chosen Milestone. ```markdown ### Parameters - **milestone-public-id** (integer (int64), path, required): The ID of the Milestone. ### Responses #### 200 - Resource **Milestone** - **app_url** (string) (required): The Shortcut application url for the Milestone. - **description** (string) (required): The Milestone's description. - **archived** (boolean) (required): A boolean indicating whether the Milestone has been archived or not. - **started** (boolean) (required): A true/false boolean indicating if the Milestone has been started. - **entity_type** (string) (required): A string description of this resource. - **completed_at_override** (string (date-time)) (required): A manual override for the time/date the Milestone was completed. - **started_at** (string (date-time)) (required): The time/date the Milestone was started. - **completed_at** (string (date-time)) (required): The time/date the Milestone was completed. - **name** (string) (required): The name of the Milestone. - **global_id** (string) (required) - **completed** (boolean) (required): A true/false boolean indicating if the Milestone has been completed. - **state** (string) (required): The workflow state that the Milestone is in. - **started_at_override** (string (date-time)) (required): A manual override for the time/date the Milestone was started. - **updated_at** (string (date-time)) (required): The time/date the Milestone was updated. - **categories** (array (Category)) (required): An array of Categories attached to the Milestone. Array items: - **archived** (boolean) (required): A true/false boolean indicating if the Category has been archived. - **entity_type** (string) (required): A string description of this resource. - **color** (string (css-color)) (required): The hex color to be displayed with the Category (for example, "#ff0000"). - **name** (string) (required): The name of the Category. - **global_id** (string) (required): The Global ID of the Category. - **type** (string) (required): The type of entity this Category is associated with; currently Milestone or Objective is the only type of Category. - **updated_at** (string (date-time)) (required): The time/date that the Category was updated. - **external_id** (string) (required): This field can be set to another unique ID. In the case that the Category has been imported from another tool, the ID in the other tool can be indicated here. - **id** (integer (int64)) (required): The unique ID of the Category. - **created_at** (string (date-time)) (required): The time/date that the Category was created. - **id** (integer (int64)) (required): The unique ID of the Milestone. - **key_result_ids** (array (string (uuid))) (required): The IDs of the Key Results associated with the Objective. - **position** (integer (int64)) (required): A number representing the position of the Milestone in relation to every other Milestone within the Workspace. - **stats** (object) (required): A group of calculated values for this Milestone. - **average_cycle_time** (integer (int64)): The average cycle time (in seconds) of completed stories in this Milestone. - **average_lead_time** (integer (int64)): The average lead time (in seconds) of completed stories in this Milestone. - **num_related_documents** (integer (int64)) (required): The number of related documents to this Milestone. - **created_at** (string (date-time)) (required): The time/date the Milestone was created. #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/milestones/{milestone-public-id}" ``` ``` -------------------------------- ### PUT /api/v3/entity-templates/enable Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json Enables the Story Template feature for the Workspace. ```markdown ### Responses #### 204 - No Content Empty response body #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X PUT "https://api.app.shortcut.com/api/v3/entity-templates/enable" ``` ``` -------------------------------- ### GET /api/v3/iterations Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json API endpoint for GET /api/v3/iterations ```markdown ### Responses #### 200 - Resource - Array of IterationSlim #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/iterations" ``` ``` -------------------------------- ### GET /api/v3/custom-fields Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json API endpoint for GET /api/v3/custom-fields ```markdown ### Responses #### 200 - Resource - Array of CustomField #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/custom-fields" ``` ``` -------------------------------- ### GET /api/v3/iterations/{iteration-public-id}/stories Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json Get a list of all Stories in an Iteration. ```markdown ### Parameters - **iteration-public-id** (integer (int64), path, required): The unique ID of the Iteration. - **includes_description** (boolean, query, optional): A true/false boolean indicating whether to return Stories with their descriptions. ### Responses #### 200 - Resource - Array of StorySlim #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/iterations/{iteration-public-id}/stories?includes_description=true" ``` ``` -------------------------------- ### GET /api/v3/repositories Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json List Repositories returns a list of all Repositories and their attributes. ```markdown ### Responses #### 200 - Resource - Array of Repository #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/repositories" ``` ``` -------------------------------- ### GET /api/v3/projects Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json List Projects returns a list of all Projects and their attributes. ```markdown ### Responses #### 200 - Resource - Array of Project #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/projects" ``` ``` -------------------------------- ### GET /api/v3/iterations/{iteration-public-id} Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json API endpoint for GET /api/v3/iterations/{iteration-public-id} ```markdown ### Parameters - **iteration-public-id** (integer (int64), path, required): The unique ID of the Iteration. ### Responses #### 200 - Resource **Iteration** - **app_url** (string) (required): The Shortcut application url for the Iteration. - **description** (string) (required): The description of the iteration. - **entity_type** (string) (required): A string description of this resource - **labels** (array (Label)) (required): An array of labels attached to the iteration. Array items: - **app_url** (string) (required): The Shortcut application url for the Label. - **description** (string) (required): The description of the Label. - **archived** (boolean) (required): A true/false boolean indicating if the Label has been archived. - **entity_type** (string) (required): A string description of this resource. - **color** (string (css-color)) (required): The hex color to be displayed with the Label (for example, "#ff0000"). - **name** (string) (required): The name of the Label. - **global_id** (string) (required) - **updated_at** (string (date-time)) (required): The time/date that the Label was updated. - **external_id** (string) (required): This field can be set to another unique ID. In the case that the Label has been imported from another tool, the ID in the other tool can be indicated here. - **id** (integer (int64)) (required): The unique ID of the Label. - **stats** (object): A group of calculated values for this Label. This is not included if the slim? flag is set to true for the List Labels endpoint. - **num_related_documents** (integer (int64)) (required): The total number of Documents associated this Label. - **num_epics** (integer (int64)) (required): The total number of Epics with this Label. - **num_stories_unstarted** (integer (int64)) (required): The total number of stories unstarted Stories with this Label. - **num_stories_total** (integer (int64)) (required): The total number of Stories with this Label. - **num_epics_unstarted** (integer (int64)) (required): The number of unstarted epics associated with this label. - **num_epics_in_progress** (integer (int64)) (required): The number of in progress epics associated with this label. - **num_points_unstarted** (integer (int64)) (required): The total number of unstarted points with this Label. - **num_stories_unestimated** (integer (int64)) (required): The total number of Stories with no point estimate with this Label. - **num_points_in_progress** (integer (int64)) (required): The total number of in-progress points with this Label. - **num_epics_total** (integer (int64)) (required): The total number of Epics associated with this Label. - **num_stories_completed** (integer (int64)) (required): The total number of completed Stories with this Label. - **num_points_completed** (integer (int64)) (required): The total number of completed points with this Label. - **num_stories_backlog** (integer (int64)) (required): The total number of stories backlog Stories with this Label. - **num_points_total** (integer (int64)) (required): The total number of points with this Label. - **num_stories_in_progress** (integer (int64)) (required): The total number of in-progress Stories with this Label. - **num_points_backlog** (integer (int64)) (required): The total number of backlog points with this Label. - **num_epics_completed** (integer (int64)) (required): The number of completed Epics associated with this Label. - **created_at** (string (date-time)) (required): The time/date that the Label was created. - **mention_ids** (array (string (uuid))) (required): `Deprecated:` use `member_mention_ids`. - **member_mention_ids** (array (string (uuid))) (required): An array of Member IDs that have been mentioned in the Story description. - **associated_groups** (array (IterationAssociatedGroup)) (required): An array containing Group IDs and Group-owned story counts for the Iteration's associated groups. Array items: - **group_id** (string (uuid)) (required): The Group ID of the associated group. - **associated_stories_count** (integer (int64)): The number of stories this Group owns in the Iteration. - **name** (string) (required): The name of the iteration. - **global_id** (string) (required) - **label_ids** (array (integer (int64))) (required): An array of label ids attached to the iteration. - **updated_at** (string (date-time)) (required): The instant when this iteration was last updated. - **group_mention_ids** (array (string (uuid))) (required): An array of Group IDs that have been mentioned in the Story description. - **end_date** (string (date-time)) (required): The date this iteration ends. - **follower_ids** (array (string (uuid))) (required): An array of UUIDs for any Members listed as Followers. - **group_ids** (array (string (uuid))) (required): An array of UUIDs for any Groups you want to add as Followers. Currently, only one Group association is presented in our web UI. - **start_date** (string (date-time)) (required): The date this iteration begins. - **status** (string) (required): The status of the iteration. Values are either "unstarted", "started", or "done". - **id** (integer (int64)) (required): The ID of the iteration. - **stats** (object) (required): A group of calculated values for this Iteration. - **num_points_done** (integer (int64)) (required): The total number of completed points in this Iteration. - **num_related_documents** (integer (int64)) (required): The total number of documents related to an Iteration - **average_cycle_time** (integer (int64)): The average cycle time (in seconds) of completed stories in this Iteration. - **num_stories_unstarted** (integer (int64)) (required): The total number of unstarted Stories in this Iteration. - **num_points_started** (integer (int64)) (required): The total number of started points in this Iteration. - **num_points_unstarted** (integer (int64)) (required): The total number of unstarted points in this Iteration. - **num_stories_started** (integer (int64)) (required): The total number of started Stories in this Iteration. - **num_stories_unestimated** (integer (int64)) (required): The total number of Stories with no point estimate. - **num_stories_backlog** (integer (int64)) (required): The total number of backlog Stories in this Iteration. - **average_lead_time** (integer (int64)): The average lead time (in seconds) of completed stories in this Iteration. - **num_points_backlog** (integer (int64)) (required): The total number of backlog points in this Iteration. - **num_points** (integer (int64)) (required): The total number of points in this Iteration. - **num_stories_done** (integer (int64)) (required): The total number of done Stories in this Iteration. - **created_at** (string (date-time)) (required): The instant when this iteration was created. #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/iterations/{iteration-public-id}" ``` ``` -------------------------------- ### GET /api/v3/integrations/webhook/{integration-public-id} Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json API endpoint for GET /api/v3/integrations/webhook/{integration-public-id} ```markdown ### Parameters - **integration-public-id** (integer (int64), path, required) ### Responses #### 200 - Resource Empty response body #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/integrations/webhook/{integration-public-id}" ``` ``` -------------------------------- ### GET /api/v3/entity-templates Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json List all the entity templates for the Workspace. ```markdown ### Responses #### 200 - Resource - Array of EntityTemplate #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/entity-templates" ``` ``` -------------------------------- ### GET /api/v3/groups/{group-public-id} Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json API endpoint for GET /api/v3/groups/{group-public-id} ```markdown ### Parameters - **group-public-id** (string (uuid), path, required): The unique ID of the Group. ### Responses #### 200 - Resource **Group** - **app_url** (string) (required): The Shortcut application url for the Group. - **description** (string) (required): The description of the Group. - **archived** (boolean) (required): Whether or not the Group is archived. - **entity_type** (string) (required): A string description of this resource. - **color** (string (css-color)) (required): The hex color to be displayed with the Group (for example, "#ff0000"). - **num_stories_started** (integer (int64)) (required): The number of stories assigned to the group which are in a started workflow state. - **mention_name** (string) (required): The mention name of the Group. - **name** (string) (required): The name of the Group. - **global_id** (string) (required) - **color_key** (string (blue|purple|midnight-blue|orange|yellow-green|brass|gray|fuchsia|yellow|pink|sky-blue|green|red|black|slate|turquoise)) (required): The color key to be displayed with the Group. ("blue"|"purple"|"midnight-blue"|"orange"|"yellow-green"|"brass"|"gray"|"fuchsia"|"yellow"|"pink"|"sky-blue"|"green"|"red"|"black"|"slate"|"turquoise") - **num_stories** (integer (int64)) (required): The total number of stories assigned to the group. - **num_epics_started** (integer (int64)) (required): The number of epics assigned to the group which are in the started workflow state. - **updated_at** (string (date-time)) (required): The last instant when this group was updated. - **num_stories_backlog** (integer (int64)) (required): The number of stories assigned to the group which are in a backlog workflow state. - **id** (string (uuid)) (required): The id of the Group. - **display_icon** (object) (required): Icons are used to attach images to Groups, Workspaces, Members, and Loading screens in the Shortcut web application. - **entity_type** (string) (required): A string description of this resource. - **id** (string (uuid)) (required): The unique ID of the Icon. - **created_at** (string (date-time)) (required): The time/date that the Icon was created. - **updated_at** (string (date-time)) (required): The time/date that the Icon was updated. - **url** (string) (required): The URL of the Icon. - **default_workflow_id** (integer (int64)): The ID of the default workflow for stories created in this group. - **member_ids** (array (string (uuid))) (required): The Member IDs contain within the Group. - **workflow_ids** (array (integer (int64))) (required): The Workflow IDs contained within the Group. - **created_at** (string (date-time)) (required): The instant when this group was created. #### 400 - Schema mismatch Schema mismatch #### 404 - Resource does not exist Resource does not exist #### 422 - Unprocessable Unprocessable ### Example Usage ```bash curl -X GET "https://api.app.shortcut.com/api/v3/groups/{group-public-id}" ``` ``` -------------------------------- ### API Overview: Shortcut API Source: https://developer.shortcut.com/api/rest/v3/shortcut.openapi.json Shortcut API ```yaml # Shortcut API # Version: 3.0 Shortcut API # Base URL: https://api.app.shortcut.com ```